import type { Ref } from "vue";
import { BulletState } from "@/components/bullet/bullet-state";
import type { Repository } from "@/service/store/repository";
import type { Account } from "@mytiki/capture-receipt-capacitor";
export declare class StateAccount {
    private readonly repository;
    private readonly key;
    private state;
    constructor(repository: Repository, key: string);
    get: () => Ref<BulletState.NULL | BulletState.P100 | BulletState.SYNC | BulletState.ERROR>;
    set(state: BulletState.NULL | BulletState.P100 | BulletState.SYNC | BulletState.ERROR): Promise<void>;
    load(): Promise<void>;
    reset: () => Promise<void>;
    update(accounts: Account[]): Promise<void>;
}
