import type { Repository } from "@/service/store/repository";
import { BulletState } from "@/components/bullet/bullet-state";
export declare class StateReceipt {
    private readonly repository;
    private readonly key;
    private state;
    private _status;
    constructor(repository: Repository);
    get: () => Map<string, Date>;
    get status(): {
        readonly bulletState: BulletState;
    };
    load(): Promise<void>;
    add(receiptId: string, date?: Date): Promise<void>;
    count(filter?: {
        startWeek: number;
        endWeek: number;
    } | undefined): number;
    reset(): Promise<void>;
    toString: () => string;
    setStatus(week?: number): void;
}
